[Fedora-livecd-list] Branch 'f15-branch' - 2 commits - Makefile tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Thu Nov 3 22:46:20 UTC 2011


 Makefile                    |    2 +-
 tools/livecd-iso-to-disk.sh |   39 +++++++++++++++++++++++----------------
 2 files changed, 24 insertions(+), 17 deletions(-)

New commits:
commit 21a214ea5e474861cf9e58de8863b6c0018431ff
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Nov 3 15:44:26 2011 -0700

    Version 15.11

diff --git a/Makefile b/Makefile
index bfff6b5..a71f6f7 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 
-VERSION = 15.10
+VERSION = 15.11
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit f1211bafda7d27ffeb80b2a3682cca896b9d60dc
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Nov 3 14:06:40 2011 -0700

    Make sure the target is labeled LIVE (#751213)
    
    Anaconda needs to be able to find the boot device. It does this by
    looking for the filesystem labeled LIVE. Previously we set the label
    when formatting, but now we always set it to LIVE, even when not
    formatting.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 539efb5..7ce17d6 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -520,27 +520,34 @@ checkFilesystem() {
         fi
     fi
 
-
-    TGTLABEL=$(/sbin/blkid -s UUID -o value $dev)
-    if [ -n "$TGTLABEL" ]; then
-        TGTLABEL="UUID=$TGTLABEL"
-    else
-        TGTLABEL=$(/sbin/blkid -s LABEL -o value $dev)
-        if [ -n "$TGTLABEL" ]; then
-            TGTLABEL="LABEL=$TGTLABEL"
-        else
-            echo "Need to have a filesystem label or UUID for your target device"
-            if [ "$TGTFS" = "vfat" -o "$TGTFS" = "msdos" ]; then
-                echo "Label can be set with /sbin/dosfslabel"
-            elif [ "$TGTFS" = "ext2" -o "$TGTFS" = "ext3" -o "$TGTFS" = "ext4" ]; then
-                echo "Label can be set with /sbin/e2label"
-            elif [ "$TGTFS" = "btrfs" ]; then
-                echo "Eventually you'll be able to use /sbin/btrfs filesystem label to add a label."
+    TGTLABEL=$(/sbin/blkid -s LABEL -o value $dev)
+    if [ "$TGTLABEL" != "LIVE" ]; then
+        if [ "$TGTFS" = "vfat" -o "$TGTFS" = "msdos" ]; then
+            /sbin/dosfslabel $dev LIVE
+            if [ $? -gt 0 ]; then
+                echo "dosfslabel failed on $dev, device not setup"
+                exitclean
+            fi
+        elif [ "$TGTFS" = "ext2" -o "$TGTFS" = "ext3" -o "$TGTFS" = "ext4" ]; then
+            /sbin/e2label $dev LIVE
+            if [ $? -gt 0 ]; then
+                echo "e2label failed on $dev, device not setup"
+                exitclean
             fi
+        else
+            echo "Unknown filesystem type. Try setting its label to LIVE and re-running"
             exitclean
         fi
     fi
 
+    # Use UUID if available
+    TGTUUID=$(/sbin/blkid -s UUID -o value $dev)
+    if [ -n "$TGTUUID" ]; then
+        TGTLABEL="UUID=$TGTUUID"
+    else
+        TGTLABEL="LABEL=LIVE"
+    fi
+
     if [ "$TGTFS" = "vfat" -o "$TGTFS" = "msdos" ]; then
         mountopts="-o shortname=winnt,umask=0077"
     fi




More information about the livecd mailing list